CreateGroup - POST
|
Path |
/api/groups |
|---|---|
|
Http Method |
POST |
Overview
NO LICENSE
Create a group. A group regroups users to manage access rights in one go.
Required permissions
-
Global administration privileges. ADMIN
Request
Request body
{
"name": "MyGroup",
"isDefault": true,
"accessRights": {}
}
Field descriptions
|
Field |
Type |
Required |
Description |
Constraints |
|---|---|---|---|---|
|
name |
string |
yes |
The name of the group |
|
|
isDefault |
boolean |
no |
When a group is set as isDefault, any newly created user will automatically be part of this group. Defaults to false. |
|
|
accessRights |
object |
yes |
The access rights associated with the user. |
Response
Success response (200 OK)
{
"id": "806250aa34544463b95b1378e3af9b41",
"name": "MyGroup",
"accessRights": {},
"creationDate": "2026-01-21T13:31:35.5330814Z",
"isDefault": true,
"numberOfUsers": 2
}
Response fields
|
Field |
Type |
Description |
|---|---|---|
|
id |
string |
The app-generated id to identify this group. |
|
name |
string |
The given name of the group. |
|
accessRights |
object |
The access rights associated with this group. See: Metavault API - General concepts |
|
creationDate |
string |
The timestamp at which this user was created. |
|
isDefault |
boolean |
Whether or not new users are automatically added to this group. |
|
numberOfUsers |
integer |
The number of users associated with this group. |
Response links and embedded objects
|
Name |
Link |
Constraints |
|---|---|---|
|
users |
|
|